Bug 139531 - (FIREFOX_PANGO) RHEL: Enable pango by default in firefox/thunderbird
RHEL: Enable pango by default in firefox/thunderbird
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: firefox (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
: 167159 483520 (view as bug list)
Depends On: 142699 149991 mathml 158511 161576 164623
  Show dependency treegraph
Reported: 2004-11-16 11:23 EST by Leon Ho
Modified: 2009-06-11 06:37 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-11 06:37:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
proposed patch to enable Pango for Indic locales only (556 bytes, patch)
2004-12-09 03:44 EST, Akira TAGOH
no flags Details | Diff

  None (edit)
Description Leon Ho 2004-11-16 11:23:11 EST
It is something that should keep track of in blocker in RHEL4. It is a
must fix for Indic enterprise customers to enable correct Indic
rendering in browser.
Comment 2 Christopher Blizzard 2004-11-23 12:58:35 EST
Patches are in the tree.  Waiting on beehive at this point.
Comment 4 Christopher Blizzard 2004-11-25 11:58:22 EST
-> in the tree now.
Comment 7 Lawrence Lim 2004-12-09 03:27:45 EST
After the pango has been disabled, it cause some indic characters not
able to be display properly. Enabled pango manually works.

At the moment, with no pango enabled, pa_IN  looks like this.
Comment 8 Akira TAGOH 2004-12-09 03:44:56 EST
Created attachment 108186 [details]
proposed patch to enable Pango for Indic locales only
Comment 9 Christopher Aillon 2004-12-09 13:56:57 EST
firefox-1.0-10.EL4, waiting on beehive.
Comment 10 Christopher Aillon 2004-12-09 13:59:43 EST
Oh, and thunderbird-1.0-0.2.rc1 too
Comment 11 Lawrence Lim 2004-12-16 00:28:29 EST
Had to quick look, at the moment in firefox-1.0-12.EL4, I can view
hi_IN and pa_IN with no difficulties. However, for bn_IN, gu_IN and
ta_IN, I cant see the pages properly.

Could you please have a quick look?

Comment 12 Christopher Blizzard 2004-12-16 11:25:44 EST

This page has a problem with the web site itself:

http-equiv="Content-Type" content="text/html; charset=iso-8859-1"

It's _not_ iso-8859-1.  I can't figure out what the actual encoding
is, but I know this is wrong.


Same problem:

META http-equiv=Content-Type content="text/html; charset=x-user-defined"

I've never seen this on a real live web site before.  What's the real
charset?  What font does it expect you to have?  Probably this one:

style="font-family: shree750; font-size: 14pt; color: #0000FF"


This appears to render just fine (one of my test pages, actually)
(UTF-8 encoding)


This appears to render fine here.  (UTF-8 encoding)


ISO-8859-1 encoding.  I think that's a lie, once again.  Do you know
the encoding so I can force it?

The three that don't work for me are all mis-configured.  Probably
assuming some configuration that local users use.
Comment 13 Jatin Nansi 2004-12-17 01:35:01 EST
the bn, ta, and gu websites listed above do not use unicode. they
actually use acsii, with special fonts which have the glyphs from
their corresonding languages mapped to ascii / english characters.
This works well on windows, when you have the font installed. It
breaks completely on linux.

Try these sites:
gu_IN:  http://www.utkarsh.org/html/gujarati/index_guj.htm

bn_IN:  http://www.bengalinux.org/bn/index.php

ta_IN:  http://www.zhakanini.org (the site seems to be down rite now)
Comment 14 Christopher Blizzard 2004-12-17 19:38:19 EST
We would need to build custom decoders for those fonts.  I don't know
where to find that information.
Comment 15 Jatin Nansi 2004-12-18 04:56:34 EST
there are very many such fonts & sites with custom encodings. I really
dont think us building custom decoders for the fonts is a good idea.
we need to encourage the sites to move to unicode.
Comment 16 Leon Ho 2005-01-17 15:30:46 EST
Moving to RHEL4 U1 varies trackers. Chris, let me know if the
assignment needs be swapped.
Comment 17 Jens Petersen 2005-03-01 03:00:42 EST
Comment 18 Warren Togami 2005-05-16 05:44:16 EDT
Current Status:
RHEL-4 pango is enabled by default only in indic languages.
MOZ_ENABLE_PANGO can be used to enable it in other languages.

FC3 and FC4 pango is enabled by default in all languages.
MOZ_DISABLE_PANGO can be used to disable.

I suppose this bug is staying open until pango is enabled in all languages and
all distributions?  In that case this should be a tracker bug for all pango
firefox issues.  If not it should be closed now.
Comment 19 Jens Petersen 2005-05-16 11:02:02 EDT
Good question - I think this should be tried as a RHEL4 pango tracker.
Comment 24 Christopher Blizzard 2005-06-15 09:35:46 EDT
There are still bugs, I would not try to put this into U2 at this time.  Needs
more shaking out in Fedora.
Comment 27 Jens Petersen 2005-09-27 09:31:49 EDT
*** Bug 167159 has been marked as a duplicate of this bug. ***
Comment 28 Warren Togami 2005-09-30 15:38:06 EDT
Making this the Firefox Pango tracker, with all Firefox Pango related bugs as
'blocking' this report.  This does not mean that all of these bugs need to be
fixed before Firefox Pango is enabled in RHEL, however most of the important
ones should be.
Comment 29 Warren Togami 2005-10-01 00:40:27 EDT
- Pango now works with Arabic and Hebrew.
- Pango is absolutely necessary for Indic languages.
- Pango is *NICE* for Japanese and possibly other CJK languages in allowing bold
text where previously bold was not possible with Xft.
Comment 30 Red Hat Bugzilla 2007-10-21 20:43:10 EDT
User blizzard@redhat.com's account has been closed
Comment 31 Matěj Cepl 2008-02-08 15:42:55 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages, which may have resolved this issue. Users who have experienced this
problem are encouraged to upgrade their system to the latest version of their
distribution available.

Please, confirm to us that this bug is reproducible on the latest upgrade of the
supported distribution (that's RHEL, or Fedora 7, 8, and Rawhide).

Setting the bug to NEEDINFO. If I won't get confirmation of reproducability in
30 days, the bug will be closed as INSUFFICIENT_DATA.

[This is mass-changing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if this bug should not be incldued.]
Comment 32 Warren Togami 2008-02-08 16:01:41 EST
Petersen what is the status of this?
Comment 33 Jens Petersen 2008-02-22 00:24:03 EST
No change in under Firefox 2

It looks like this is not going to get fixed until we move to Firefox 3,
which I don't know will happen for RHEL 4?
Comment 34 Martin Stransky 2008-05-13 11:12:57 EDT
We're moving to Firefox now (for RHEL-4.7). Can it be closed then?
Comment 35 Warren Togami 2008-05-13 11:35:48 EDT
Is pango enabled by default for all languages in Firefox 3?
Comment 36 Jens Petersen 2008-05-13 21:50:07 EDT
(In reply to comment #34)
> We're moving to Firefox now (for RHEL-4.7). Can it be closed then?

Yes, I think it can be closed then.

(In reply to comment #35)
> Is pango enabled by default for all languages in Firefox 3?

It should be.
Comment 37 Matěj Cepl 2009-02-02 07:45:39 EST
*** Bug 483520 has been marked as a duplicate of this bug. ***
Comment 38 A S Alam 2009-06-11 06:09:48 EDT
I tested firefox with following version on RHEL4 and with en_US locale,
Rendering for language is Good:

Comment 39 A S Alam 2009-06-11 06:37:05 EDT
it is part of following release:
Red Hat Enterprise Linux AS release 4 (Nahant Update 8)

Note You need to log in before you can comment on or make changes to this bug.